<?php
/**
 * admin.woocommerce.settings-license-key
 * License Ket API settings.
 *
 * @author Cami Mostajo <info@10quality.com>
 * @copyright 10 Quality <http://www.10quality.com/>
 * @license MIT
 * @package LicenseKeys
 * @version 1.2.1
 */
?>
<p>
    <?= sprintf(
        __( 'Visit the official <a href="%s">documentation</a> or read the quick implementation guide below.', 'woo-license-keys' ),
        'https://www.10quality.com/docs/woocommerce-license-keys/'
    ) ?>
</p>
<hr>
<div class="implementation">
    <h3><?php _e( 'Implementation', 'woo-license-keys' ) ?></h3>
    <p><?php _e( 'Ways to implement the API:', 'woo-license-keys' ) ?></p>
    <ol>
        <li>
            <div><strong><?php _e( 'Wordpress MVC addon', 'woo-license-keys' ) ?></strong></div>
            <div>
                <?= sprintf(
                    __( 'We offer an <i>addon</i> for %s. This addon will integrate the API and will allow code restrictions easily in your wordpress plugin or theme.', 'woo-license-keys' ),
                    '<a href="https://github.com/10quality/wpmvc-addon-license-key">Wordpress MVC Framework</a>'
                ) ?>
            </div>
        </li>
        <li>
            <div><strong><?php _e( 'PHP client', 'woo-license-keys' ) ?></strong></div>
            <div>
                <?= sprintf(
                    __( 'We offer an PHP client library (see on %s) that can be used to integrate the API with any PHP project.', 'woo-license-keys' ),
                    '<a href="https://github.com/10quality/license-keys-php-client">Github</a>'
                ) ?>
                (<a href="https://github.com/10quality/license-keys-php-client/wiki/Tutorial:-Quick-Script"><?php _e( 'tutorial' ) ?></a>)
            </div>
        </li>
        <li>
            <div><strong><?php _e( 'Documentation', 'woo-license-keys' ) ?></strong></div>
            <div>
                <?php _e( 'If working with something different than PHP. Use the following documentation to implement and call the API with HTTP requests.', 'woo-license-keys' ) ?>
            </div>
        </li>
    </ol>
</div>
<div class="endpoints">
    <h3><?php _e( 'Endpoints', 'woo-license-keys' ) ?></h3>
    <hr>
    <h4><?php _e( 'ACTIVATE ENDPOINT', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Endpoint used to activate (register) a license key.', 'woo-license-keys' ) ?></p>
    <pre style="text-align: left;color: #F44336;">
        <?= admin_url( '/admin-ajax.php?action=license_key_activate' ) ?>
    </pre>
    <p><?php _e( 'Expected GET or POST parameters:', 'woo-license-keys' ) ?></p>
    <table style="width: 100%;">
        <thead style="text-align: left;">
            <tr>
                <th><?php _e( 'Parameter', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Type', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Description', 'woo-license-keys' ) ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td><code>action</code></td>
                <td>string</td>
                <td><?php _e( 'Endpoint action. Should always be:', 'woo-license-keys' ) ?> <strong>license_key_activate</strong></td>
            </tr>
            <tr>
                <td><code>store_code</code></td>
                <td>string</td>
                <td><?php _e( 'Store code', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>sku</code></td>
                <td>string</td>
                <td><?php _e( 'The sku of the product.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>license_key</code></td>
                <td>string</td>
                <td><?php _e( 'The license key provided to the customer.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>domain</code></td>
                <td>string</td>
                <td><?php _e( 'The domain name from which the license key is being activated. (optional)', 'woo-license-keys' ) ?></td>
            </tr>
        </tbody>
    </table>
    <hr>
    <h4><?php _e( 'VALIDATE ENDPOINT', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Endpoint used to validate an activated license key.', 'woo-license-keys' ) ?></p>
    <pre style="text-align: left;color: #F44336;">
        <?= admin_url( '/admin-ajax.php?action=license_key_validate' ) ?>
    </pre>
    <p><?php _e( 'Expected GET or POST parameters:', 'woo-license-keys' ) ?></p>
    <table style="width: 100%;">
        <thead style="text-align: left;">
            <tr>
                <th><?php _e( 'Parameter', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Type', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Description', 'woo-license-keys' ) ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td><code>action</code></td>
                <td>string</td>
                <td><?php _e( 'Endpoint action. Should always be:', 'woo-license-keys' ) ?> <strong>license_key_validate</strong></td>
            </tr>
            <tr>
                <td><code>store_code</code></td>
                <td>string</td>
                <td><?php _e( 'Store code', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>sku</code></td>
                <td>string</td>
                <td><?php _e( 'The sku of the product.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>license_key</code></td>
                <td>string</td>
                <td><?php _e( 'The license key provided to the customer.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>domain</code></td>
                <td>string</td>
                <td><?php _e( 'The domain name from which the license key is being activated. (optional)', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>activation_id</code></td>
                <td>int</td>
                <td><?php _e( 'The Activation ID returned when license key was activated.', 'woo-license-keys' ) ?></td>
            </tr>
        </tbody>
    </table>
    <hr>
    <h4><?php _e( 'DEACTIVATE ENDPOINT', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Endpoint used to deactivate an activated license key.', 'woo-license-keys' ) ?></p>
    <pre style="text-align: left;color: #F44336;">
        <?= admin_url( '/admin-ajax.php?action=license_key_deactivate' ) ?>
    </pre>
    <p><?php _e( 'Expected GET or POST parameters:', 'woo-license-keys' ) ?></p>
    <table style="width: 100%;">
        <thead style="text-align: left;">
            <tr>
                <th><?php _e( 'Parameter', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Type', 'woo-license-keys' ) ?></th>
                <th><?php _e( 'Description', 'woo-license-keys' ) ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td><code>action</code></td>
                <td>string</td>
                <td><?php _e( 'Endpoint action. Should always be:', 'woo-license-keys' ) ?> <strong>license_key_deactivate</strong></td>
            </tr>
            <tr>
                <td><code>store_code</code></td>
                <td>string</td>
                <td><?php _e( 'Store code', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>sku</code></td>
                <td>string</td>
                <td><?php _e( 'The sku of the product.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>license_key</code></td>
                <td>string</td>
                <td><?php _e( 'The license key provided to the customer.', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>domain</code></td>
                <td>string</td>
                <td><?php _e( 'The domain name from which the license key is being activated. (optional)', 'woo-license-keys' ) ?></td>
            </tr>
            <tr>
                <td><code>activation_id</code></td>
                <td>int</td>
                <td><?php _e( 'The Activation ID returned when license key was activated.', 'woo-license-keys' ) ?></td>
            </tr>
        </tbody>
    </table>
</div>
<hr>
<div class="responses">
    <h3><?php _e( 'Responses', 'woo-license-keys' ) ?></h3>
    <p><?php _e( 'All responses are in JSON format.', 'woo-license-keys' ) ?></p>
    <h4><?php _e( 'ACTIVATE & VALIDATE ENDPOINT RESPONSES', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Successful responses will return the license key data and the activation_id, see example:', 'woo-license-keys' ) ?></p>
    <pre>
{
    "error": false,
    "status": 200,
    "message": "License Key activated successfully.",
    "data": {
        "expire": 1582657054,
        "activation_id": 1519628117,
        "expire_date": "2020-02-25 18:57",
        "timezone": "UTC",
        "the_key": "Cqu62al903ICv40am9nM68Y7o9-32",
        "url": "http://wordpress/my-account/view-license-key/?key=Cqu62al903ICv40am9nM68Y7o9-32",
        "has_expired": false,
        "status": "active",
        "allow_offline": true,
        "offline_interval": "days",
        "offline_value": 1
    }
}
    </pre>
    <h4><?php _e( 'DEACTIVATE ENDPOINT RESPONSES', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Successful responses will return deactivation message, see example:', 'woo-license-keys' ) ?></p>
    <pre>
{
    "error": false,
    "status": 200,
    "message": "Activation has been deactivated."
}
    </pre>
    <h4><?php _e( 'FAILED RESPONSES', 'woo-license-keys' ) ?></h4>
    <p><?php _e( 'Failed responses will return the errors, see example:', 'woo-license-keys' ) ?></p>
    <pre>
{
    "error": true,
    "status": 500,
    "errors": {
        "license_key": [
            "Invalid license key."
        ],
        "activation_id": [
            "Invalid activation."
        ]
    }
}
    </pre>
</div>
<?php do_action( 'woocommerce_license_keys_after_settings' ) ?>